unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine,
  VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TAreaSeries;
    Series2: TAreaSeries;
    Panel1: TPanel;
    rbtnBottom: TRadioButton;
    rbtnRight: TRadioButton;
    Label1: TLabel;
    procedure rbtnRightClick(Sender: TObject);
  private
    { Private declarations }
    procedure UpdateDisplay;
    procedure CreateSeries;
  public
    { Public declarations }
    constructor Create(aOwner: TComponent); override;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

{ TForm1 }

constructor TForm1.Create(aOwner: TComponent);
begin
  inherited;

  CreateSeries;
  UpdateDisplay;
end;

procedure TForm1.CreateSeries;
var
  I: Integer;
  lSrs: TAreaSeries;
begin
  Chart1.FreeAllSeries;
  for I := 1 to 10 do
  begin
    lSrs := TAreaSeries.Create(self);
    lSrs.MultiArea := maStacked;
    lSrs.ParentChart := Chart1;
    lSrs.Title := 'Chart Item #' + IntToStr(I);
    lSrs.FillSampleValues(10);
  end;
end;

procedure TForm1.rbtnRightClick(Sender: TObject);
begin
  UpdateDisplay;
end;

procedure TForm1.UpdateDisplay;
begin
  if rbtnBottom.Checked then
    Chart1.Legend.Alignment := laBottom
  else
    Chart1.Legend.Alignment := laRight;

end;

end.
